/**************************************************************** 
 * Description: 洛谷 P1996 约瑟夫问题
 * Author: Alex Li
 * Date: 2024-01-22 13:18:30
 * LastEditTime: 2024-01-22 14:35:44
****************************************************************/
#include <iostream>
using namespace std;

int a[100]; // 定义一个数组a，用来标记每个人是否已经出圈，数组大小100表示最多处理100人

int main(){
    int n, m; // n是人数，m是报数的目标数
    cin >> n >> m; // 从标准输入读取n和m的值

    int j = 0, i = 0, k = 0; // j用来计数报数，i用来迭代每个人，k用来计数已出圈的人数

    while (k < n) { // 当还有人在圈内时继续循环
        if (i == n) { // 如果i等于n，则重置为0，因为是一个圈
            i = 0;
        }
        i++; // 指向下一个人
        if (a[i] == 1) continue; // 如果这个人已经出圈，则跳过

        j++; // 报数加1
        if (j % m == 0) { // 如果报数是m的倍数，即该人需要出圈
            a[i] = 1; // 标记这个人已经出圈
            cout << i << ' '; // 输出这个人的编号
            k++; // 已出圈人数加1
        }
    }
}
